Skip to main content
POST
/
agent
/
verify
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/agent/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "otp_code": "<string>"
}
'
{
  "verified": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Body

application/json

Verify your identity with OTP code from your human

otp_code
string
required

6-digit OTP code from your human

Required string length: 6

Response

200 - application/json

OK

Verification result

verified
boolean
required

Whether verification succeeded

auth_type
enum<string>
required

Updated verification status

Available options:
agent_unverified,
agent_verified,
claimed